B10-STATS(8)

NAME
b10-stats - BIND 10 statistics module

SYNOPSIS

b10-stats [-v] [--verbose]

DESCRIPTION

The b10-stats is a daemon forked by bind10. Stats module collects statistics data from each module and reports statistics information via bindctl. It communicates by using the Command Channel by b10-msgq with other modules like bind10, b10-auth and so on. It waits for coming data from other modules, then other modules send data to stats module periodically. Other modules send stats data to stats module independently from implementation of stats module, so the frequency of sending data may not be constant. Stats module collects data and aggregates it.

OPTIONS

The arguments are as follows:

-v, --verbose
    This b10-stats switches to verbose mode. It sends verbose messages to STDOUT.

FILES

/usr/local/share/bind10-devel/stats.spec — This is a spec file for b10-stats. It contains definitions of statistics items of BIND 10 and commands received vi bindctl.

SEE ALSO

bind10(8), bindctl(1), b10-auth(8), BIND 10 Guide.

HISTORY

The b10-stats daemon was initially designed and implemented by Naoki Kambe of JPRS in Oct 2010.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")